Subject: bug#70939: [PATCH] Add commands to run unit tests in go-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 May 2024 19:52:21 +0300

> Date: Tue, 14 May 2024 19:34:48 +0530
> From:  Ankit Gadiya via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Hello folks,
> 
> This patch adds two new commands for go-ts-mode to run unit test cases.
> 
> The go-ts-mode-test-package command can run all the tests under the package of
> the current buffer. I've tested it to work with both Go module packages and
> non-module packages. This command is bound to C-c C-p in the go-ts-mode-map.
> 
> The go-ts-mode-test-function-at-point command runs the current test function. If
> region is active then it runs all the test functions under the region. I'm
> attaching a sample_test.go file as well for reviewers to test the patch. This
> command is bound to C-c C-t in the go-ts-mode-map.

Thanks.

Randy, any comments about this?

Ankit, we'd need a copyright assignment from you to accept a large
contribution such as this one.  Would you like to start the assignment
paperwork at this time?  If yes, I will send you the form to fill and
the instructions to go with it.